// Copyright 2022 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package xflags

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

type testConfigCommandIssue4 struct {
}

type testCmdStructIssue4 struct {
	ConfigPath string                  `long:"config" short:"c" description:"Path to configuration file"`
	Config     testConfigCommandIssue4 `command:"config"  description:"Config commands"`
}

// TestIssue4 tests the issue #4.
func TestIssue4B(t *testing.T) {

	s := New("test", testCmdStructIssue4{})
	s.Parse([]string{"--config", "config"})

	assert.Equal(t, s.HasErrors(), false)
	if s.HasErrors() {
		t.Log(s.Errors())
	}

}
